package w83b.w83bBeans;

import java.sql.ResultSet;
import java.sql.SQLException;

import es.ejie.frmk.infraestructura.internacionalizacion.Q70GestorMensajesException;

import w83b.util.jdbc.W83bDataBase;
import w83b.w83bDAO.w83bConstantesBD.W83bActasBD;
import w83b.w83bDAO.w83bConstantesBD.W83bCentroTrabajoCompletoVistaBD;
import w83b.w83bDAO.w83bConstantesBD.W83bDelegadosBD;

/*
 * @author jrgil 
 */
public class W83bMantenimientoDelegadosBean extends W83bBaseBean implements W83bBaseBeanBD{
	private static final long	serialVersionUID	= 1L;

	private String	actaTerritorio = "";
	private String	actaAnyo = "";
	private String	actaNum = "";
	private String	numActaCompleto = "";
	private String	actaVersion = "";
	private String	dniDelegado = "";
	private String	primerApellidoDelegado = "";
	private String	segundoApellidoDelegado = "";
	private String	nombreDelegado = "";
	private String	codSindicato = "";
	private String	desSindicato = "";
	private String	siglas = "";
	private String	codBaja = "";
	private String	usuario = "";
	private String	idProvincia = "";
	private String	idMunicipio = "";
	private String	descProvincia = "";
	private String	descMunicipio = "";
	private String	fechaBajaDesde = "";
	private String	fechaBajaHasta = "";
	private String	actaFechaBaja = "";
	private String	razonSocial = "";
	private String	telefono = "";
	private String	cifNif = "";
	private String	domicilio = "";
	private String	fax = "";
	private String fechaBaja = "";
	
	
	public void setClaveBean(String claveBean) {
		String[] clavesBean = claveBean.split("__");
		
		this.actaTerritorio = clavesBean[0];
		this.actaAnyo= clavesBean[1];
		this.actaNum= clavesBean[2];
		this.actaVersion= clavesBean[3];
		this.dniDelegado= clavesBean[4];
	}

	public String getClaveBean() {
		return this.actaTerritorio+"__"+this.actaAnyo+"__"+this.actaNum+"__"+this.actaVersion+"__"+this.dniDelegado;
	}

	public String getSiglas() {
		return siglas;
	}

	public void setSiglas(String siglas) {
		this.siglas = siglas;
	}

	public String getDesSindicato() {
		return desSindicato;
	}

	public void setDesSindicato(String desSindicato) {
		this.desSindicato = desSindicato;
	}

	public String getActaVersion() {
		return actaVersion;
	}

	public void setActaVersion(String actaVersion) {
		this.actaVersion = actaVersion;
	}

	public String getUsuario() {
		return usuario;
	}

	public void setUsuario(String usuario) {
		this.usuario = usuario;
	}
	public String getActaTerritorio() {
		return actaTerritorio;
	}

	public void setActaTerritorio(String actaTerritorio) {
		this.actaTerritorio = actaTerritorio;
	}
	public String getActaAnyo() {
		return actaAnyo;
	}

	public void setActaAnyo(String actaAnyo) {
		this.actaAnyo = actaAnyo;
	}

	public String getActaNum() {
		return actaNum;
	}

	public void setActaNum(String actaNum) {
		this.actaNum = actaNum;
	}

	public void setNumActaCompleto(String numActaCompleto) {
		this.numActaCompleto = numActaCompleto;
	}

	public String getNumActaCompleto() {
		return numActaCompleto;
	}

	public String getDniDelegado() {
		return dniDelegado;
	}
	public void setDniDelegado(String dniDelegado) {
		this.dniDelegado = dniDelegado;
	}

	public String getPrimerApellidoDelegado() {
		return primerApellidoDelegado;
	}

	public void setPrimerApellidoDelegado(String primerApellidoDelegado) {
		this.primerApellidoDelegado = primerApellidoDelegado;
	}

	public String getSegundoApellidoDelegado() {
		return segundoApellidoDelegado;
	}

	public void setSegundoApellidoDelegado(String segundoApellidoDelegado) {
		this.segundoApellidoDelegado = segundoApellidoDelegado;
	}

	public String getNombreDelegado() {
		return nombreDelegado;
	}

	public void setNombreDelegado(String nombreDelegado) {
		this.nombreDelegado = nombreDelegado;
	}

	public String getCodSindicato() {
		return codSindicato;
	}

	public void setCodSindicato(String codSindicato) {
		this.codSindicato = codSindicato;
	}

	public String getFechaBaja() {
		return fechaBaja;
	}

	public void setFechaBaja(String fechaBaja) {
		this.fechaBaja = fechaBaja;
	}

	public String getCodBaja() {
		return codBaja;
	}

	public void setCodBaja(String codBaja) {
		this.codBaja = codBaja;
	}

	public String getIdProvincia() {
		return idProvincia;
	}

	public void setIdProvincia(String idProvincia) {
		this.idProvincia = idProvincia;
	}

	public String getIdMunicipio() {
		return idMunicipio;
	}

	public void setIdMunicipio(String idMunicipio) {
		this.idMunicipio = idMunicipio;
	}

	public String getDescProvincia() {
		return descProvincia;
	}

	public void setDescProvincia(String descProvincia) {
		this.descProvincia = descProvincia;
	}

	public String getDescMunicipio() {
		return descMunicipio;
	}

	public void setDescMunicipio(String descMunicipio) {
		this.descMunicipio = descMunicipio;
	}

	public String getFechaBajaDesde() {
		return fechaBajaDesde;
	}

	public void setFechaBajaDesde(String fechaBajaDesde) {
		this.fechaBajaDesde = fechaBajaDesde;
	}

	public String getFechaBajaHasta() {
		return fechaBajaHasta;
	}

	public void setFechaBajaHasta(String fechaBajaHasta) {
		this.fechaBajaHasta = fechaBajaHasta;
	}

	public String getActaFechaBaja() {
		return actaFechaBaja;
	}

	public void setActaFechaBaja(String actaFechaBaja) {
		this.actaFechaBaja = actaFechaBaja;
	}

	public String getRazonSocial() {
		return razonSocial;
	}

	public void setRazonSocial(String razonSocial) {
		this.razonSocial = razonSocial;
	}

	public String getTelefono() {
		return telefono;
	}

	public void setTelefono(String telefono) {
		this.telefono = telefono;
	}

	public String getCifNif() {
		return cifNif;
	}

	public void setCifNif(String cifNif) {
		this.cifNif = cifNif;
	}

	public String getDomicilio() {
		return domicilio;
	}

	public void setDomicilio(String domicilio) {
		this.domicilio = domicilio;
	}

	public String getFax() {
		return fax;
	}

	public void setFax(String fax) {
		this.fax = fax;
	}

	

	public Object rowToBean(Object o, Object otrosValores) throws SQLException, Q70GestorMensajesException {
		// TODO Auto-generated method stub
		ResultSet rs= (ResultSet)o;//NOPMD
		
			this.numActaCompleto = W83bDataBase.getStringFromRS(rs, W83bActasBD.num_acta_comp);
			this.actaNum = W83bDataBase.getStringFromRS(rs, W83bActasBD.numActa);
			this.actaAnyo = W83bDataBase.getStringFromRS(rs, W83bActasBD.anyoActa);
			this.actaTerritorio = W83bDataBase.getStringFromRS(rs, W83bActasBD.codTerritActa);
			this.actaVersion = W83bDataBase.getStringFromRS(rs, W83bActasBD.versionActa);
			this.actaFechaBaja = W83bDataBase.getStringFromRS(rs, W83bActasBD.fechaBaja);
			
			this.nombreDelegado = W83bDataBase.getStringFromRS(rs, W83bDelegadosBD.nombre);
			this.dniDelegado = W83bDataBase.getStringFromRS(rs, W83bDelegadosBD.dni);
			this.primerApellidoDelegado = W83bDataBase.getStringFromRS(rs, W83bDelegadosBD.apellido1);
			this.segundoApellidoDelegado = W83bDataBase.getStringFromRS(rs, W83bDelegadosBD.apellido2);
			this.fechaBaja = W83bDataBase.getStringFromRS(rs, W83bDelegadosBD.fechaBaja);
			this.codSindicato = W83bDataBase.getStringFromRS(rs, W83bDelegadosBD.codSindicato);
			this.descMunicipio = W83bDataBase.getStringFromRS(rs, W83bDelegadosBD.descMunicipio);
			this.descProvincia = W83bDataBase.getStringFromRS(rs, W83bDelegadosBD.descTerritorio);
			this.idMunicipio = W83bDataBase.getStringFromRS(rs, W83bCentroTrabajoCompletoVistaBD.codMunicipio);
			this.idProvincia = W83bDataBase.getStringFromRS(rs, W83bCentroTrabajoCompletoVistaBD.codTerritorio);
			
			this.razonSocial = W83bDataBase.getStringFromRS(rs, W83bCentroTrabajoCompletoVistaBD.razonSocial);
			this.telefono = W83bDataBase.getStringFromRS(rs, W83bCentroTrabajoCompletoVistaBD.telefono);
			this.cifNif = W83bDataBase.getStringFromRS(rs, W83bCentroTrabajoCompletoVistaBD.cifNif);
			this.domicilio = W83bDataBase.getStringFromRS(rs, W83bCentroTrabajoCompletoVistaBD.domicilio);
			this.fax = W83bDataBase.getStringFromRS(rs, W83bCentroTrabajoCompletoVistaBD.fax);
		
		return this;
	}
}

